flow-merge(1)

NAME
flow-merge — Merge flow files.

SYNOPSIS

flow-merge [-aghm] [-b big|little] [-C comment] [-d debug_level] [-o filename] [-z z_level] [file|directory ...]

DESCRIPTION

The flow-merge utility processes files and/or directories of files in the flow-tools format. The resulting merged data set is written to the standard output or file specified by -o. If file is a single dash (`-') or absent, flow-merge will read from the standard input. Unlike flow-cat, flow-merge interleaves flow records preserving the relative chronological order.

OPTIONS

-a  Do not ignore filenames that begin with tmp.

-b big|little
    Byte order of output.

-C Comment
    Add a comment.

-d debug_level
    Enable debugging.

-g  Sort file list by capture start time before processing.

-h  Display help.

-m  Disable the use of mmap().

-p  Preload headers. Use to preserve meta information such as lost flows.

-o file
    Write to file instead of the standard out.

-z z_level
    Configure compression level to z_level. 0 is disabled (no compression), 9 is highest compression.

file|directory...
    Process the files and/or directory.

EXAMPLES

Merge all flow files begining with ft-v05.2001-05.01, use flow-print to display the results.

flow-merge ft-v05.2001-05-01.* | flow-print

BUGS

None known.

AUTHOR

Larry Lidz ellidz@eridu.uchicago.edu

SEE ALSO

flow-tools(1)